summaryrefslogtreecommitdiff
path: root/openstack-cinder.configure
diff options
context:
space:
mode:
authorFrancisco Redondo Marchena <francisco.marchena@codethink.co.uk>2014-11-26 17:34:14 +0000
committerFrancisco Redondo Marchena <francisco.marchena@codethink.co.uk>2015-01-22 12:46:25 +0000
commit584d66db1810eb640b9afd6e3f952fffdde88aa7 (patch)
treed5386a4aa37bc5f81332fdd67f046292e834b446 /openstack-cinder.configure
parent2d72c26366ca77d7a1a49e928a14c43b11706a81 (diff)
downloaddefinitions-584d66db1810eb640b9afd6e3f952fffdde88aa7.tar.gz
Add cinder services
This commit add: - Cinder services - Cinder setup script and service - Cinder integration script (config file) - Cinder files in the manifest - Cinder string on the cluster - Move nova region to regionOne (default value) rather than LON
Diffstat (limited to 'openstack-cinder.configure')
-rw-r--r--openstack-cinder.configure53
1 files changed, 53 insertions, 0 deletions
diff --git a/openstack-cinder.configure b/openstack-cinder.configure
new file mode 100644
index 00000000..d6e3a48e
--- /dev/null
+++ b/openstack-cinder.configure
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# Copyright (C) 2014 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+ROOT="$1"
+
+##########################################################################
+# Substitutions in configuration files
+##########################################################################
+
+cat <<EOF > "$ROOT"/etc/openstack-cinder-setup.sed
+s/##CINDER_USER##/$CINDER_USER/g
+s/##CINDER_PASSWORD##/$CINDER_PASSWORD/g
+s/##CINDER_PUBLIC_URL##/$CINDER_PUBLIC_URL/g
+s/##CINDER_INTERNAL_URL##/$CINDER_INTERNAL_URL/g
+s/##CINDER_ADMIN_URL##/$CINDER_ADMIN_URL/g
+s/##CINDER_USER_V2##/$CINDER_USER_V2/g
+s/##CINDER_PUBLIC_URL_V2##/$CINDER_PUBLIC_URL_V2/g
+s/##CINDER_INTERNAL_URL_V2##/$CINDER_INTERNAL_URL_V2/g
+s/##CINDER_ADMIN_URL_V2##/$CINDER_ADMIN_URL_V2/g
+EOF
+
+sed -f "$ROOT"/etc/openstack-cinder-setup.sed -i \
+ "$ROOT"/etc/nova/cinder.conf \
+ "$ROOT"/usr/share/openstack/openstack-cinder-setup
+
+##########################################################################
+
+ln -sf "/etc/systemd/system/openstack-cinder-setup.service" \
+ "$ROOT/etc/systemd/system/multi-user.target.wants/openstack-cinder-setup.service"
+
+##########################################################################
+# Add cinder to sudoers controlling which commands is running as a root
+# using the openstack rootwrap.
+##########################################################################
+install -D -m 0440 /proc/self/fd/0 <<'EOF' "$ROOT"/etc/sudoers.d/cinder-rootwrap
+cinder ALL=(root) NOPASSWD: /usr/bin/cinder-rootwrap /etc/cinder/rootwrap.conf *
+EOF